Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cms
Class KEKRecipientInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.cms.KEKRecipientInfo

All Implemented Interfaces:
  DEREncodable

public class KEKRecipientInfo
extends java.lang.Object
implements DEREncodable

Constructor Summary
`KEKRecipientInfo(ASN1Sequence seq)`
`KEKRecipientInfo(KEKIdentifier kekid, AlgorithmIdentifier keyEncryptionAlgorithm, ASN1OctetString encryptedKey)`

Method Summary
`DERObject` | `getDERObject()` KEKRecipientInfo ::= SEQUENCE { version CMSVersion, -- always set to 4 kekid KEKIdentifier, keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier, encryptedKey EncryptedKey }
`ASN1OctetString` | `getEncryptedKey()`
`static KEKRecipientInfo` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a KEKRecipientInfo object from a tagged object.
`static KEKRecipientInfo` | `getInstance(java.lang.Object obj)` return a KEKRecipientInfo object from the given object.
`KEKIdentifier` | `getKekid()`
`AlgorithmIdentifier` | `getKeyEncryptionAlgorithm()`
`DERInteger` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KEKRecipientInfo

    public KEKRecipientInfo(KEKIdentifier kekid,
                            AlgorithmIdentifier keyEncryptionAlgorithm,
                            ASN1OctetString encryptedKey)

### KEKRecipientInfo

    public KEKRecipientInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static KEKRecipientInfo getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

  return a KEKRecipientInfo object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static KEKRecipientInfo getInstance(java.lang.Object obj)

  return a KEKRecipientInfo object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getVersion

    public DERInteger getVersion()

### getKekid

    public KEKIdentifier getKekid()

### getKeyEncryptionAlgorithm

    public AlgorithmIdentifier getKeyEncryptionAlgorithm()

### getEncryptedKey

    public ASN1OctetString getEncryptedKey()

### getDERObject

    public DERObject getDERObject()

       KEKRecipientInfo ::= SEQUENCE {
       	version CMSVersion,  -- always set to 4
       	kekid KEKIdentifier,
       	keyEncryptionAlgorithm KeyEncryptionAlgorithmIdentifier,
       	encryptedKey EncryptedKey
       }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD